Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Currently doing a version check for a minimum required PHP version, I came across some servers that say their PHP version (checked with phpversion) is:

PHP 5.2.0-8+etch16

Since I'm a Windows guy and no Linux/PHP guy, I failed to find meaningful results for the -8 and +etch16 parts.

My two questions are:

  • What does the -8 mean?
  • What does the +etch16 mean?

(I'm assuming that in my above example the actual core installed PHP version is 5.2.0).

share|improve this question

1 Answer 1

up vote 3 down vote accepted

Those are local flags that indicate the specific packager's internal tracking of different builds they've made from the same PHP release. Likely this is their 8th release of PHP 5.2.0 and it includes version 16 of a set of patches (or build flags, or options, or whatever customization they've applied) for Debian Etch.

share|improve this answer
    
Thanks, I'll add the etch tag. –  Uwe Keim Dec 17 '12 at 14:38
1  
Also, Debian Etch is seriously ancient, and so is its PHP ... I would say it is not suitable for generic internet facing applications due to security problems ... –  rackandboneman Dec 17 '12 at 16:31

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.